#
# spec file for package python-validate_email
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-validate_email
Version:        1.3
Release:        lp151.3.2
Summary:        Verify if an email address is valid and really exists
License:        LGPL-3.0
Group:          Development/Languages/Python
Url:            https://github.com/syrusakbary/validate_email
Source:         https://files.pythonhosted.org/packages/source/v/validate_email/validate_email-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Validate_email is a package for Python that check if an email is valid,
properly formatted and really exists.

%prep
%setup -q -n validate_email-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu May 10 2018 toddrme2178@gmail.com
- Don't forget python-rpm-macros
* Wed Dec 13 2017 tchvatal@suse.com
- Distribute LICENSE
* Wed Dec 13 2017 tchvatal@suse.com
- Convert to singlespec
* Mon Dec  4 2017 tampakrap@opensuse.org
- Initial package
